#include <windows.h>
#include <string.h>
#include <stdio.h>
#include <io.h>
#include "resource.h"

BOOL
CALLBACK
DlgMainProc(
  HWND hwndDlg,
  UINT uMsg,
  WPARAM wParam,
  LPARAM lParam
)
{
  switch(uMsg)
  {
    case WM_INITDIALOG:
    {
      SendDlgItemMessage(hwndDlg, IDS_PROGBARH, PBM_SETMARQUEE, TRUE, 80);
      SendDlgItemMessage(hwndDlg, IDS_PROGBARV, PBM_SETMARQUEE, TRUE, 80);
      break;
    }
    case WM_COMMAND:
    {
      switch(LOWORD(wParam))
      {
        case IDC_OK:
        {
          EndDialog(hwndDlg, 0);
        }
      }
    }
  }
  return FALSE;
}

int WINAPI 
WinMain(
  HINSTANCE hInstance,
  HINSTANCE hPrevInstance,
  LPSTR lpszCmdLine,
  int nCmdShow)
{
  InitCommonControls();
  DialogBox(hInstance, MAKEINTRESOURCE(IDD_MAIN), 0, DlgMainProc);
  return 0;
}

